unit RFExempl;

interface

uses
  {$IFDEF WIN32}
  Windows,
  {$ELSE}
  WinTypes, WinProcs,
  {$ENDIF}SysUtils,Classes, Graphics, Controls, Forms, Dialogs,
  RessFils, Menus, StdCtrls,IniFiles;

type
  TForm1 = class(TForm)
    Open1: TOpenDialog;
    Button1: TButton;
    MainMenu1: TMainMenu;
    RecentFiles1: TRecentFiles;
    refgh1: TMenuItem;
    Rcents1: TMenuItem;
    Label1: TLabel;
    Button2: TButton;
    Button3: TButton;
    kjhlkjg1: TMenuItem;
    APropos1: TMenuItem;
    ChangeSubMenuProperty1: TMenuItem;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure RecentFiles1Cliquer(FileName: string);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure APropos1Click(Sender: TObject);
    procedure ChangeSubMenuProperty1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;
  Ini:TIniFile;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
Screen.Cursor:=crHourGlass;
{$IFDEF WIN32}
   {CREATION DU FICHIERS INI...}
   if GetDriveType(PChar(Copy(Application.ExeName,1,3)))<>DRIVE_fixed
   {...DANS WINDOWS SI DEPART D'UN DISQUE AUTRE QUE DUR...}
   then Ini:=TIniFile.Create('Ini.INI')
   {...SINON DANS REPERTOIRE DE L'EXE.}
   else Ini:=TIniFile.Create(ExtractFilePath(Application.ExeName)+'Ini.INI');
{$ELSE}
   {CREATION DU FICHIERS INI...}
   if GetDriveType(Ord(Application.ExeName[1])-65)<>DRIVE_fixed
   {...DANS WINDOWS SI DEPART D'UN DISQUE AUTRE QUE DUR...}
   then Ini:=TIniFile.Create('INI.INI')
   {...SINON DANS REPERTOIRE DE L'EXE.}
   else Ini:=TIniFile.Create(ExtractFilePath(Application.ExeName)+'INI.INI');
{$ENDIF}

{Attribution du fichier Ini  TRecentFiles:}
{Attribute Ini File to TRecentFiles Object}
RecentFiles1.IniName(Ini.FileName);

Screen.Cursor:=crDefault;
end;

{Fermeture.}
procedure TForm1.Button2Click(Sender: TObject);
begin
Close;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   If Not RecentFiles1.AutoSave
   then RecentFiles1.SaveNames;
end;

{Execute OpenDialog1....}
procedure TForm1.Button1Click(Sender: TObject);
begin
Open1.FileName:='*.*';
   if Open1.Execute
        {Add the File Name in RecentFiles List.}
   then RecentFiles1.AddFile(Open1.FileName);
end;

{Recuperate a File Name in the Menu.}
procedure TForm1.RecentFiles1Cliquer(FileName: string);
begin
   if FileName=''
   then ShowMessage('DAMNED !!!'#13'The File: "'+FileName+'" do not exists !!!');
Label1.Caption:=FileName;
end;

{Save the Actually RecentFile List.}
procedure TForm1.Button3Click(Sender: TObject);
var
NotePad: array[0..200] of Char;
begin
{Save...}
RecentFiles1.SaveNames;
StrPCopy(NotePad,'Notepad '+Ini.FileName);
{...And see the Ini File.}
WinExec(NotePad,sw_Show);
end;

{ABOUT...}
procedure TForm1.APropos1Click(Sender: TObject);
begin
ShowMessage('TRecentFiles (D1, D2):'#13'Freeware de Mezou Prod.'#13+
'Not Warranty. This component is "As is".'#13'Use, abuse and Mail me the result:'+
#13#13'jean-jacques.roue@worldonline.fr');
end;

procedure TForm1.ChangeSubMenuProperty1Click(Sender: TObject);
begin
ShowMessage('...For INSERT the list of recent files in the menu that you want.');
end;

end.
